Podręcznik PHP
Poprzedni |  | Następny

# VARIANT

(no version information, might be only in CVS)

VARIANT -- VARIANT class

## Synopsis

    $vVar = new VARIANT($var)

## Description

A simple container to wrap variables into VARIANT structures.

## Methods

string VARIANT::VARIANT ( [mixed value [, int type [, int codepage]]])

VARIANT class constructor. Parameters:

value

  initial value. if omitted an VT_EMPTY object is created.

type

  specifies the content type of the VARIANT object. Possible values are `VT_UI1`, `VT_UI2`, `VT_UI4`, `VT_I1`, `VT_I2`, `VT_I4`, `VT_R4`, `VT_R8`, `VT_INT`, `VT_UINT`, `VT_BOOL`, `VT_ERROR`, `VT_CY`, `VT_DATE`, `VT_BSTR`, `VT_DECIMAL`, `VT_UNKNOWN`, `VT_DISPATCH` and `VT_VARIANT`. These values are mutual exclusive, but they can be combined with `VT_BYREF` to specify being a value. If omitted, the type of `value` is used. Consult the MSDN library for additional information.

codepage

  specifies the codepage that is used to convert php-strings to unicode-strings and vice versa. Possible values are `CP_ACP`, `CP_MACCP`, `CP_OEMCP`, `CP_SYMBOL`, `CP_THREAD_ACP`, `CP_UTF7` and `CP_UTF8`.

Poprzedni | Spis treści | Następny
COM | Początek rozdziału | com_addref